<?php
if (!isset($_POST['action']))
{
	echo "<h1>Auftragsbestätigung löschen</h1>\n";
	$sql = "SELECT Kontakt_ID, DATE_FORMAT(Datum, '%d.%m.%Y') AS Datum FROM " . PREFIX . "_Auftraege WHERE (Jahr = \"" . $Jahr . "\" AND ID = \"" . $ID . "\");";
	$result = $db->query($sql);
	$nt = $result->fetch_assoc();
	$sql2 = "SELECT Firma, Nachname FROM " . PREFIX . "_Kontakte WHERE ID = \"" . $nt['Kontakt_ID'] . "\";";
	$result2 = $db->query($sql2);
	$nt2 = $result2->fetch_assoc();
	$sql3 = "SELECT Jahr, ID, Preis, DATE_FORMAT(Datum, '%d.%m.%Y') AS Datum FROM " . PREFIX . "_Rechnungen WHERE (Auftrag_Jahr = \"" . $Jahr . "\" AND Auftrag_ID = \"" . $ID . "\");";
	$result3 = $db->query($sql3);
	echo "<h2>Soll folgende Auftragsbestätigung wirklich gelöscht werden?</h2>\n";
	echo "<label>Auftrag-Nr.</label>\n";
	echo "<label class=\"data\">" . str_replace(",", "_", $_POST['ID']) . "</label>\n";
	echo "<br class=\"fix\" />\n";
	echo "<label>Kunde</label>\n";
	echo "<label class=\"data\">" . $nt2['Firma'] . " - " . $nt2['Nachname'] . "</label>\n";
	echo "<br class=\"fix\" />\n";
	echo "<label>Vom</label>\n";
	echo "<label class=\"data\">" . $nt['Datum'] . "</label>\n";
	echo "<br class=\"fix\" />\n";
	while ($nt3 = $result3->fetch_assoc())
	{
		if (0 == $i)
		{
			echo "<h2>Achtung! Folgende Rechnungen sind vom Löschen dieser Auftragsbestätigung betroffen:</h2>\n";
			$i = 1;
		}
		while (strlen($nt3['ID']) < $_SESSION['Firma']['Stellen'])
		{
			$nt3['ID'] = "0" . $nt3['ID'];
		}
		echo "<label>Re-Nr.: " . $nt3['Jahr'] . "_" . $nt3['ID'] . "</label>\n";
		echo "<label>" . number_format($nt3['Preis'], '2', ',', '.') . " €</label>\n";
		echo "<label>" . $nt3['Datum'] . "</label>\n";
		echo "<br class=\"fix\" />\n";
	}
	echo "<form action=\"index.php?" . $_SERVER['QUERY_STRING'] . "\" method=\"post\" >\n";
	echo "	<input type=\"hidden\" name=\"ID\" value=\"" . $_POST['ID'] . "\" />\n";
	echo "	<input type=\"hidden\" name=\"formaction\" value=\"del\" />\n";
	echo "	<br />\n";
	echo "	<input type=\"submit\" class=\"button_del\" name=\"action\" value=\"1\" title=\"Auftragsbestätigung jetzt l&ouml;schen\" />\n";
	echo "	<input type=\"submit\" class=\"button_stop\" name=\"formaction\" value=\"stop\" title=\"Abbrechen\" />\n";
	echo "	<br />\n";
	echo "</form>\n";
}
else
{
	$sql = 'DELETE FROM
				' . PREFIX . '_Auftrag_Pos
			WHERE
				(Jahr		= "' . $Jahr . '"
			AND
				Auftrag_ID	= "' . $ID . '");';
	$result = $db->query($sql);
	$sql = 'DELETE FROM
				' . PREFIX . '_Auftraege
			WHERE
				(Jahr		= "' . $Jahr . '"
			AND
				ID	= "' . $ID . '");';
	$result = $db->query($sql);
	if ($result)
	{
		unset($_POST);
		include __DIR__ . "/bestaet.php";
	}
	else
	{
		echo "Fehler beim löschen";
	}
}